<?php
if ( ! defined( 'ABSPATH' ) ) exit;

   
if ( ! function_exists( 'et_show_cart_total' ) ) {
    function et_show_cart_total( $args = array() ) {   

      printf('<span class="shop-cart">');

      divi_bodycommerce_cart();
      divi_bodycommerce_minicart();
?>
<script>
      jQuery(document).ready(function(){
        if ( bc_count_ajax_called == false ) {
          bc_count_ajax_called = true;
          jQuery('.cart-count').addClass("hideanimation");
          jQuery.ajax({
              url: '<?php echo admin_url( 'admin-ajax.php' );?>',
              data: {
                  action: 'get_bc_cart_count'
                  },
                  type: 'POST',
                  success: function( data ) {
                      jQuery('.cart-count p').html( data );
                      jQuery('.cart-count').removeClass("hideanimation");

                      if ( jQuery('.bodycommerce-minicart-container').find('.remove-mini-cart').length == 0 ) {
                          if( typeof remove_clicked !== "undefined"){
                              if (jQuery('body').hasClass('woocommerce-checkout') && remove_clicked == true ) {
                                  location.reload();
                              }
                          }
                      }
                      
                      remove_clicked = false;
                      bc_count_ajax_called = false;
                  }
          });
        }
      });
  </script>
<?php
      printf('</span>');

    }     
}

$check_ajax_minicart = get_bodycommerce_option('ajax_minicart');

if ($check_ajax_minicart == "1") {
  
  add_filter('woocommerce_add_to_cart_fragments', 'DB_WOO_add_to_cart_fragment');
  
  function DB_WOO_add_to_cart_fragment( $fragments, $args = array() ) {
    global $woocommerce;
    
    ob_start();
    
    printf('<span class="shop-cart">');
    
    divi_bodycommerce_cart();
    divi_bodycommerce_minicart();
    ?>
    <script>
      jQuery(document).ready(function(){
        if ( bc_count_ajax_called == false ) {

          bc_count_ajax_called = true;
          jQuery('.cart-count').addClass("hideanimation");
          jQuery.ajax({
              url: '<?php echo admin_url( 'admin-ajax.php' );?>',
              data: {
                  action: 'get_bc_cart_count'
              },
              type: 'POST',
              success: function( data ) {
                  jQuery('.cart-count p').html( data );
                  jQuery('.cart-count').removeClass("hideanimation");
                  if ( jQuery('.bodycommerce-minicart-container').find('.remove-mini-cart').length == 0 ) {
                      if (jQuery('body').hasClass('woocommerce-checkout') && remove_clicked == true ) {
                          location.reload();
                      }    
                  }
                  
                  remove_clicked = false;
                  bc_count_ajax_called = false;
              }
          });
        }
      });
      </script>
    <?php

    printf('</span>');
    
    $fragments['.shop-cart'] = ob_get_clean();
    return $fragments;
  }

}
