<?php
if ( ! defined( 'ABSPATH' ) ) exit;

function bodycommerce_global_css_head() {
if ( ! is_admin() ) {

// General

$global_notice_background_color = get_bodycommerce_option( 'global_notice_background_color'); // DONE
$notice_heading_text_size = get_bodycommerce_option( 'notice_heading_text_size'); // DONE
$global_notice_text_color = get_bodycommerce_option( 'global_notice_text_color'); // DONE
$global_notice_background_pad_top = get_bodycommerce_option( 'global_notice_background_pad_top'); // DONE
$global_notice_background_pad_bot = get_bodycommerce_option( 'global_notice_background_pad_bot'); // DONE
$global_notice_background_pad_right = get_bodycommerce_option( 'global_notice_background_pad_right'); // DONE
$global_notice_background_pad_left = get_bodycommerce_option( 'global_notice_background_pad_left'); // DONE

$gloabl_notice_heading_link_text_size = get_bodycommerce_option( 'gloabl_notice_heading_link_text_size'); // DONE
$global_notice_heading_link_text_color = get_bodycommerce_option( 'global_notice_heading_link_text_color'); // DONE


  // buttons
  $check_checkout_page_use_custom_style_button = get_bodycommerce_option( 'notice_button_use_custom_style_button'); // DONE
  $check_checkout_page_field_button_text_size = get_bodycommerce_option( 'notice_button_text_size'); // DONE
  $check_checkout_page_field_button_text_color = get_bodycommerce_option( 'global_notice_button_text_color'); // DONE
  $check_checkout_page_field_button_background_color = get_bodycommerce_option( 'global_notice_button_background_color'); // DONE
  $check_checkout_page_field_button_border_width = get_bodycommerce_option( 'global_notice_button_border_width'); // DONE
  $check_checkout_page_field_button_border_color = get_bodycommerce_option( 'global_notice_button_border_color'); // DONE
  $check_checkout_page_field_button_border_radius = get_bodycommerce_option( 'global_notice_button_border_radius'); // DONE
  $check_checkout_page_field_button_letter_spacing = get_bodycommerce_option( 'global_notice_button_letter_spacing'); // DONE
  $check_checkout_page_field_add_button_icon = get_bodycommerce_option( 'global_notice_add_button_icon')  == 'yes' ? '1' : '0'; // DONE
  $check_checkout_page_field_button_icon = get_bodycommerce_option( 'global_notice_button_icon'); // DONE
  $check_checkout_page_field_button_icon_color = get_bodycommerce_option( 'global_notice_button_icon_color'); // DONE
  $check_checkout_page_field_button_icon_placement = get_bodycommerce_option( 'global_notice_button_icon_placement'); // DONE
  $check_checkout_page_field_button_icon_only_show_hover = get_bodycommerce_option( 'global_notice_button_icon_only_show_hover'); // DONE
  // Buttons hover
  $check_checkout_page_button_hover_text_color = get_bodycommerce_option( 'global_notice_button_hover_text_color'); // DONE
  $check_checkout_page_button_hover_background_color = get_bodycommerce_option( 'global_notice_button_hover_background_color'); // DONE
  $check_checkout_page_button_hover_border_color = get_bodycommerce_option( 'global_notice_button_hover_border_color'); // DONE
  $check_checkout_page_button_hover_border_radius = get_bodycommerce_option( 'global_notice_button_hover_border_radius'); // DONE
  $check_checkout_page_button_hover_letter_spacing = get_bodycommerce_option( 'global_notice_button_hover_letter_spacing'); // DONE

$display_checkout_page_button_icon = '';
$display_checkout_page_button_icon_placement = '';

if ($check_checkout_page_use_custom_style_button == "1"){

  if ($check_checkout_page_field_button_icon == "") {$check_checkout_page_field_button_icon_display = "35";}else {  $check_checkout_page_field_button_icon_display = $check_checkout_page_field_button_icon;}

  $display_checkout_page_button_default_style = '
  .woocommerce-message a.button.wc-forward, .woocommerce-message a.button {
  font-size:'.$check_checkout_page_field_button_text_size.'px !important;
  color:'.$check_checkout_page_field_button_text_color.' !important;
  background-color:'.$check_checkout_page_field_button_background_color.' !important;
  border-width: '.$check_checkout_page_field_button_border_width.'px !important;
  border-color: '.$check_checkout_page_field_button_border_color.' !important;
  border-style: solid;
  border-radius: '.$check_checkout_page_field_button_border_radius.'px !important;
  letter-spacing: '.$check_checkout_page_field_button_letter_spacing.'px !important;
  }


  .woocommerce-message a.button.wc-forward:hover, .woocommerce-message a.button:hover {
  color:'.$check_checkout_page_button_hover_text_color.' !important;
  background-color:'.$check_checkout_page_button_hover_background_color.' !important;
  border-color:'.$check_checkout_page_button_hover_border_color.' !important;
  border-style: solid;
  border-radius:'.$check_checkout_page_button_hover_border_radius.'px !important;
  letter-spacing:'.$check_checkout_page_button_hover_letter_spacing.'px !important;
  }
  ';

  if ($check_checkout_page_field_add_button_icon == "1") {
  // HOVER OR NOT

  if ($check_checkout_page_field_button_icon_only_show_hover == "1") {
  // RIGHT OR LEFT
    if ($check_checkout_page_field_button_icon_placement == "right") {
      $display_checkout_page_button_icon = sprintf('.woocommerce-message a.button::after {content:"\%1$s" !important;color:%2$s; !important} .woocommerce-message a.button.wc-forward::after {content:"\%1$s" !important;color:%2$s; !important}',$check_checkout_page_field_button_icon_display, $check_checkout_page_field_button_icon_color  );
      $display_checkout_page_button_icon_placement = '.woocommerce-message a.button::before{content:none !important;} .woocommerce-message a.button.wc-forward::before{content:none !important;} .woocommerce-checkout .bodycommerce-minicart .button.wc-forward:hover {padding-left: 1em !important; padding-right: 2em !important;}';
    }
    else {
      $display_checkout_page_button_icon = sprintf('.woocommerce-message a.button::before {display:block !important;content:"\%1$s" !important;color:%2$s !important;} .woocommerce-message a.button.wc-forward::before {display:block !important;content:"\%1$s" !important;color:%2$s !important;} .woocommerce-checkout .bodycommerce-minicart .button.wc-forward:hover:before {opacity: 1 !important;}',$check_checkout_page_field_button_icon_display, $check_checkout_page_field_button_icon_color);
      $display_checkout_page_button_icon_placement = '.woocommerce-message a.button::after{content:none !important;} .woocommerce-message a.button.wc-forward::after{content:none !important;} .woocommerce-checkout .bodycommerce-minicart .button.wc-forward:hover {padding-right: 1em !important; padding-left: 2em !important;}';
    }
  }
  else {
    // RIGHT OR LEFT
      if ($check_checkout_page_field_button_icon_placement == "right") {
        $display_checkout_page_button_icon = sprintf('.woocommerce-message a.button::after {content:"\%1$s" !important;color:%2$s;opacity:1 !important;margin-left: 0;} .woocommerce-message a.button.wc-forward::after {content:"\%1$s" !important;color:%2$s;opacity:1 !important;margin-left: 0;}',$check_checkout_page_field_button_icon_display, $check_checkout_page_field_button_icon_color);
        $display_checkout_page_button_icon_placement = '.woocommerce-message a.button::before {content:none !important;} .woocommerce-message a.button.wc-forward::before {content:none !important;}';
      }
      else {
        $display_checkout_page_button_icon = sprintf('.woocommerce-message a.button::before  {display:block !important;content:"\%1$s" !important;color:%2$s;opacity:1;} .woocommerce-message a.button.wc-forward::before  {display:block !important;content:"\%1$s" !important;color:%2$s;opacity:1;}',$check_checkout_page_field_button_icon_display, $check_checkout_page_field_button_icon_color );
        $display_checkout_page_button_icon_placement = '.woocommerce-message a.button::after{content:none !important;} .woocommerce-message a.button.wc-forward::after{content:none !important;}';
      }
  }



  }  else{
  $display_checkout_page_button_icon = '.woocommerce-message a.button::after { content: none !important;} .woocommerce-message a.button.wc-forward::after { content: none !important;}';
  }

}
  else {
    $display_checkout_page_button_default_style = '';
  }




if ($gloabl_notice_heading_link_text_size != "0") {
  $gloabl_notice_heading_link_text_size_display = '
    font-size: '.$gloabl_notice_heading_link_text_size.'px !important;
';
} else {$gloabl_notice_heading_link_text_size_display = "";}

if ($global_notice_heading_link_text_color != "") {
  $global_notice_heading_link_text_color_display = '
    color: '.$global_notice_heading_link_text_color.' !important;
';
} else {$global_notice_heading_link_text_color_display = "";}



if ($global_notice_background_color != "") {
  $display_background = '
    background-color: '.$global_notice_background_color.' !important;
';
} else {$display_background = "";}

if ($notice_heading_text_size != "0") {
  $notice_heading_text_size_background_display = '
    font-size: '.$notice_heading_text_size.'px !important;
';
} else {$notice_heading_text_size_background_display = "";}

if ($global_notice_text_color != "") {
  $global_notice_text_color_display = '
    color: '.$global_notice_text_color.' !important;
';
} else {$global_notice_text_color_display = "";}





if ($global_notice_background_pad_top != "0") {
  $global_notice_background_pad_top_display = '
    padding-top: '.$global_notice_background_pad_top.'px !important;
';
} else {$global_notice_background_pad_top_display = "";}

if ($global_notice_background_pad_bot != "0") {
  $global_notice_background_pad_bot_display = '
    padding-bottom: '.$global_notice_background_pad_bot.'px !important;
';
} else {$global_notice_background_pad_bot_display = "";}

if ($global_notice_background_pad_right != "0") {
  $global_notice_background_pad_right_display = '
    padding-right: '.$global_notice_background_pad_right.'px !important;
';
} else {$global_notice_background_pad_right_display = "";}

if ($global_notice_background_pad_left != "0") {
  $global_notice_background_pad_left_display = '
    padding-left: '.$global_notice_background_pad_left.'px !important;
';
} else {$global_notice_background_pad_left_display = "";}

  // BUTTON Styles end



$css_woo_bodyshop =  '<style id="bodycommerce-global">';
$css_woo_bodyshop .= '

.woocommerce .woocommerce-error, .woocommerce .woocommerce-info, .woocommerce .woocommerce-message {
  '.$global_notice_background_pad_top_display.'
  '.$global_notice_background_pad_bot_display.'
  '.$global_notice_background_pad_right_display.'
  '.$global_notice_background_pad_left_display.'
  '.$notice_heading_text_size_background_display.'
  '.$global_notice_text_color_display.'
  '.$display_background.'
}

.woocommerce .woocommerce-error a, .woocommerce .woocommerce-info a, .woocommerce .woocommerce-message a {
  '.$global_notice_heading_link_text_color_display.'
  '.$gloabl_notice_heading_link_text_size_display.'
}

  '.$display_checkout_page_button_default_style.'
  '.$display_checkout_page_button_icon.'
  '.$display_checkout_page_button_icon_placement.'

';



$css_woo_bodyshop .= '</style>';
//minify it
$css_woo_bodyshop_min = str_replace( array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $css_woo_bodyshop );
echo $css_woo_bodyshop_min;


}

}

add_action('wp_head','bodycommerce_global_css_head');

