<?php
if ( ! defined( 'ABSPATH' ) ) exit;

  function divi_bodycommerce_minicart() {

    $check_enable_minicart = get_bodycommerce_option( 'enable_minicart', "0" );

    if ($check_enable_minicart == "1") {
      global $woocommerce;
      
      $check_minicart_remove_option = get_bodycommerce_option( 'minicart_remove_option' );
      $minicart_remove_option_text_get = get_bodycommerce_option( 'minicart_remove_option_text' );

      do_action( 'wpml_register_single_string', 'divi-bodyshop-woocommerce', 'Mini Cart Remove Text', $minicart_remove_option_text_get );
      $minicart_remove_option_text = apply_filters( 'wpml_translate_single_string', $minicart_remove_option_text_get, 'divi-bodyshop-woocommerce', 'Mini Cart Remove Text' );

      $mini_cart_style = get_bodycommerce_option('mini_cart_style');

      if ($check_minicart_remove_option == "1") {
          $check_minicart_remove_option_display = $minicart_remove_option_text;
          $check_minicart_remove_option_display_css = "";
      }
      else {
          $check_minicart_remove_option_display = "&times;";
          $check_minicart_remove_option_display_css = "remove";
      }
      
      if ($mini_cart_style == "slide-in") {
          ?>
          <div class="CartClick overlay"></div>
          <?php
      }
      ?>
      <script>
        jQuery(document).ready(function($){
          var remove_clicked = false;
          $(document).on('click', '.remove-mini-cart', function (e) {
              remove_clicked = true;
          });
        });
      </script>
      <div class="bodycommerce-minicart one">
      <?php 
      if ($mini_cart_style == "slide-in") {
          echo do_shortcode("[bodycommerce_slide_in_mini_cart_shortcode]");
      } else {
          echo do_shortcode("[bodycommerce_default_mini_cart_shortcode]");
      } 
      ?>
      </div>
      <?php
      $enable_minicart2 = get_bodycommerce_option('enable_minicart');
      $check_auto_show_minicart = get_bodycommerce_option('auto_show_minicart');
      $check_auto_show_minicart_delay = get_bodycommerce_option('auto_show_minicart_delay', "3");
      $close_auto_show = get_bodycommerce_option('close_auto_show', '1');
  
      if ( $close_auto_show == '1' ) {
          $check_auto_show_minicart_close_time = get_bodycommerce_option('auto_show_minicart_close_time', "6");
      } else {
          $check_auto_show_minicart_close_time = '9999';
      }

      $minicart_hover_delay_time = get_bodycommerce_option( 'minicart_hover_delay_time', "800" );

      $minicart_activate = get_bodycommerce_option('minicart_activate');
      $atc_pupup_disable_mobile = get_bodycommerce_option('atc_pupup_disable_mobile');

      if ($enable_minicart2 == "1") {
          if ($minicart_activate == "1") {
              ?>
              <script>
              jQuery(document).ready(function($){
                <?php
                if ($atc_pupup_disable_mobile == "1") {
                    ?>
                    if ($(window).width() < 767) {
                        $('body').addClass('hide-cart-mobile');
                    }
                    <?php
                }
                ?>
                  
                var close_clicked = false;
                  $(document).off('click', '.et-cart-info').on("click", ".et-cart-info", function(event) {
                      if ( close_clicked ) {
                        return false;
                      }
                      <?php
                      if ($atc_pupup_disable_mobile == "1") {
                          ?>
                          if ($(window).width() < 767) {
                              var cart_url = $(this).attr('data-url');
                              window.location.href = cart_url;
                          }
                          <?php
                      }
                      
                      if ($mini_cart_style == "drop-down-icon") {
                          ?>
                          event.preventDefault();
                          $(".bodycommerce-minicart").toggleClass('active');
                          $(".CartClick").fadeIn();
                          $("body").toggleClass('slidein-minicart-active');
                          $(".bodycommerce-minicart").closest('.et_pb_section').toggleClass('minicart-active-zindex');
                          $(".bodycommerce-minicart").closest('.et_pb_row').toggleClass('minicart-active-zindex');
                          <?php
                      } else {
                          ?>
                          event.preventDefault();
                          $(".bodycommerce-minicart").addClass('active');
                          $(".CartClick").fadeIn();
                          $("body").addClass('slidein-minicart-active');
                          $(".bodycommerce-minicart").closest('.et_pb_section').addClass('minicart-active-zindex');
                          $(".bodycommerce-minicart").closest('.et_pb_row').addClass('minicart-active-zindex');
                          <?php
                      }
                      ?>
                  });
                  
                  /*
                  * Disabled to allow closing mini cart slidein after adding to cart by clicking on overlay
                  $(".CartClick").click(function(event) {
                      event.preventDefault();
                      if (!$(this).hasClass("active-always")) {
                          close_clicked = true;
                          $(".bodycommerce-minicart").removeClass('active');
                          $("body").removeClass('slidein-minicart-active');
                          $(".CartClick").fadeOut();
                          setTimeout( function() {
                            close_clicked = false;
                          }, 500 );
                      }
                  });*/
                  
                  $(document).on('touchstart click', ".close, .CartClick" , function(event){
                      event.preventDefault();
                      close_clicked = true;
                      $(".bodycommerce-minicart").removeClass('active-always');
                      $(".bodycommerce-minicart").removeClass('active');
                      $("body").removeClass('slidein-minicart-active');
                      $(".bodycommerce-minicart").closest('.et_pb_section').removeClass('minicart-active-zindex');
                      $(".bodycommerce-minicart").closest('.et_pb_row').removeClass('minicart-active-zindex');
                      $(".CartClick").removeClass('active-always');
                      $(".CartClick").fadeOut();
                      setTimeout( function() {
                        close_clicked = false;
                      }, 500 );
                  });
                  <?php
                  if ($check_auto_show_minicart == "1") { 
                      ?>

                      var showdelay = <?php echo $check_auto_show_minicart_delay ?>;
                      var closedelay = parseInt(<?php echo $check_auto_show_minicart_close_time ?>);
                      var closedelaytime=closedelay*1000;
                      var section = 4;
                      var showdelaytime=showdelay*1000;
                      //$(".ajax_add_to_cart").click(function(){
                      $(document).on('bodycommerce_atc_completed', function(){
                          setTimeout(function(){
                              if (!$('body').hasClass('hide-cart-mobile')) {
                                  $(".bodycommerce-minicart").addClass('active-always');
                                  $("body").addClass('slidein-minicart-active');
                                  $(".bodycommerce-minicart").closest('.et_pb_section').addClass('minicart-active-zindex');
                                  $(".bodycommerce-minicart").closest('.et_pb_row').addClass('minicart-active-zindex');
                                  $(".CartClick").addClass('active-always');
                              }
                          },showdelaytime);
                          <?php 
                          if ($check_auto_show_minicart_close_time != "") { 
                          ?>
                          setTimeout(function(){
                              if (!$('body').hasClass('hide-cart-mobile')) {
                                  $(".bodycommerce-minicart").removeClass('active-always');
                                  $("body").removeClass('slidein-minicart-active');
                                  $(".bodycommerce-minicart").closest('.et_pb_section').removeClass('minicart-active-zindex');
                                  $(".bodycommerce-minicart").closest('.et_pb_row').removeClass('minicart-active-zindex');
                                  $(".CartClick").removeClass('active-always');
                              }
                          }, closedelaytime);
                          <?php 
                          } 
                          ?>
                      });
                      <?php
                      if ($check_auto_show_minicart_close_time == "") {
                          ?>
                          $(".CartClick").click(function(event) {
                              event.preventDefault();
                              close_clicked = true;
                              $(".bodycommerce-minicart").removeClass('active-always');
                              $(".CartClick").fadeOut();
                              setTimeout( function() {
                                close_clicked = false;
                              }, 500 );
                          });
                          $(document).on('touchstart click', ".close" , function(event){
                              event.preventDefault();
                              close_clicked = true;
                              $(".bodycommerce-minicart").removeClass('active-always');
                              $(".CartClick").fadeOut();
                              setTimeout( function() {
                                close_clicked = false;
                              }, 500 );
                          });
                          <?php 
                      }
                  } // check $check_auto_show_minicart
                  ?>
                  
                  if (typeof appHeight === 'undefined') {
                    const appHeight = () => {
                        const doc = document.documentElement
                        doc.style.setProperty('--viewpoint-height', `${window.innerHeight}px`)
                    }
                    window.addEventListener('resize', appHeight)
                    appHeight();
                }

              });
              </script>
              <?php
          } else { //$minicart_activate
          
          ?>
          <script>
          jQuery(document).ready(function($) {
                <?php
                if ($atc_pupup_disable_mobile == "1") {
                    ?>
                    if ($(window).width() < 767) {
                        $('body').addClass('hide-cart-mobile');
                    }
                    <?php
                }
                ?>
              var close_clicked = false;
              $(document).on('touchstart click', ".close, .CartClick" , function(event){
                  event.preventDefault();
                  if (!$(".bodycommerce-minicart").hasClass("active-always")) {
                      close_clicked = true;
                      $(".bodycommerce-minicart").removeClass('active');
                      $("body").removeClass('slidein-minicart-active');
                      $(".bodycommerce-minicart").closest('.et_pb_section').removeClass('minicart-active-zindex');
                      $(".bodycommerce-minicart").closest('.et_pb_row').removeClass('minicart-active-zindex');
                      $(".CartClick").fadeOut();
                      setTimeout( function() {
                          close_clicked = false;
                        }, 500 );
                  } else {
                      close_clicked = true;
                      $(".bodycommerce-minicart").removeClass('active-always');
                      $(".bodycommerce-minicart").removeClass('active');
                      $("body").removeClass('slidein-minicart-active');
                      $(".bodycommerce-minicart").closest('.et_pb_section').removeClass('minicart-active-zindex');
                      $(".bodycommerce-minicart").closest('.et_pb_row').removeClass('minicart-active-zindex');
                      $(".CartClick").removeClass('active-always');
                      $(".CartClick").fadeOut();
                  }
              });
              $(document).on('touchstart click', ".close, .CartClick" , function(event){
                      event.preventDefault();
                      close_clicked = true;
                      $(".bodycommerce-minicart").removeClass('active-always');
                      $(".bodycommerce-minicart").removeClass('active');
                      $("body").removeClass('slidein-minicart-active');
                      $(".bodycommerce-minicart").closest('.et_pb_section').removeClass('minicart-active-zindex');
                      $(".bodycommerce-minicart").closest('.et_pb_row').removeClass('minicart-active-zindex');
                      $(".CartClick").removeClass('active-always');
                      $(".CartClick").fadeOut();
                      setTimeout( function() {
                        close_clicked = false;
                      }, 500 );
                  });
              $("body").addClass('woocommerce bc-woocommerce');
              $('.et-cart-info').hover(function() {
                  if ( $(window).width() > 767 ){
                      $(".bodycommerce-minicart").addClass('active');
                      $("body").addClass('minicart-active');
                  }
              }, function() {
                  if ( $(window).width() > 767 ){
                      setTimeout(function() {
                          var isHovered_minicart = ($('.bodycommerce-minicart:hover').length > 0);
                          var isHovered_icon = ($('.et-cart-info:hover').length > 0);
                          if (isHovered_minicart || isHovered_icon) {} else {
                              $(".bodycommerce-minicart").removeClass('active');
                              $("body").removeClass('minicart-active');
                          }
                      }, <?php echo $minicart_hover_delay_time ?>);
                  }
              });
              
              $('.et-cart-info').click(function(e) {
                  e.preventDefault();
                  e.stopPropagation();
                  if ( close_clicked ) {
                    return false;
                  }
                  var href = $(this).attr('href');
                  if ( $(window).width() > 767 ){
                      if ($(this).hasClass('cart-link-span')) {
                          location.href = $(this).data('url');
                      } else {
                          location.href = href;
                      }
                  }else{
                      if ($(this).closest('.shop-cart').find('.cart-icon').hasClass('disable_minicart_mobile')) {
                          if ($(this).hasClass('cart-link-span')) {
                              document.location.href = $(this).data('url');
                          } else {
                              document.location.href = href;
                          }
                      } else {
                          $("body").addClass('slidein-minicart-active');
                          $(".bodycommerce-minicart").closest('.et_pb_section').addClass('minicart-active-zindex');
                          $(".bodycommerce-minicart").closest('.et_pb_row').addClass('minicart-active-zindex');
                          $(".bodycommerce-minicart").addClass('active');
                          $("body").addClass('minicart-active');
                      }
                  }
              });
              
              if ( $(window).width() > 767 ){
                  $('.bodycommerce-minicart').hover(function() {
                      $(".bodycommerce-minicart").addClass('active');
                      $("body").addClass('minicart-active');
                  }, function() {
                      $(".bodycommerce-minicart").removeClass('active');
                      $("body").removeClass('minicart-active');
                  });    
              }
              <?php 
              if ($check_auto_show_minicart == 1) { 
                  ?>
                  var showdelay = <?php echo $check_auto_show_minicart_delay ?>;
                  var closedelay = <?php echo $check_auto_show_minicart_close_time ?>;
                  var section = 1;
                  var showdelaytime = showdelay * 1000;
                  var closedelaytime = closedelay * 1000;
                 
                  $(document).on('bodycommerce_atc_completed', function(){
                      setTimeout(function() {
                          if (!$('body').hasClass('hide-cart-mobile')) {
                              $(".bodycommerce-minicart").addClass('active-always');
                              $("body").addClass('slidein-minicart-active');
                              $(".bodycommerce-minicart").closest('.et_pb_section').addClass('minicart-active-zindex');
                              $(".bodycommerce-minicart").closest('.et_pb_row').addClass('minicart-active-zindex');
                              $("body").addClass('minicart-active');
                              $(".CartClick").addClass('active-always');
                          }
                      }, showdelaytime);
                      setTimeout(function() {
                          if (!$('body').hasClass('hide-cart-mobile')) {
                              $(".bodycommerce-minicart").removeClass('active-always');
                              $("body").removeClass('minicart-active');
                              $("body").removeClass('slidein-minicart-active');
                              $(".bodycommerce-minicart").closest('.et_pb_section').removeClass('minicart-active-zindex');
                              $(".bodycommerce-minicart").closest('.et_pb_row').removeClass('minicart-active-zindex');
                              $(".CartClick").removeClass('active-always');
                          }
                      }, closedelaytime)
                  })
                  <?php 
              }
              ?>
          });
          
            if (typeof appHeight === 'undefined') {
                    const appHeight = () => {
                        const doc = document.documentElement
                        doc.style.setProperty('--viewpoint-height', `${window.innerHeight}px`)
                    }
                    window.addEventListener('resize', appHeight)
                    appHeight();
                }
         </script>
         <?php
         }
      } // $enable_minicart2
    } else {
        ?>
        <script>
        jQuery(document).ready(function($) {
            $(document).on('bodycommerce_atc_completed', function(){
                jQuery.ajax({
                    url: '<?php echo admin_url( 'admin-ajax.php' );?>',
                    data: {
                        action: 'get_bc_cart_count',
                    },
                    type: 'POST',
                    success: function( data ) {
                      jQuery('.cart-count p').html( data );
                      jQuery('.cart-count').removeClass("hideanimation");

                      if ( jQuery('.bodycommerce-minicart-container').find('.remove-mini-cart').length == 0 ) {
                          if( typeof remove_clicked !== "undefined"){
                              if (jQuery('body').hasClass('woocommerce-checkout') && remove_clicked == true ) {
                                  location.reload();
                              }
                          }
                      }
                      
                      remove_clicked = false;
                      bc_count_ajax_called = false;
                    }
                });
            });
        });
        </script>
        <?php 
    }


    
}